<?php
class CancelAction extends BaseAction
{
    public function run()
    {
        $id = Yii::app()->request->getQuery('id');
        $report = Oreport::model()->findByPk($id);
        if (!empty($report))
        {
            $report->status = 2;
            $report->save();
        }
        
        $this->getController()->redirect(array('list'));
    }
}